package beilv.stadium.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.Date;

@Getter
@Setter
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class Stadium {
    /**
     * 数据id
     */
    private Long id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 联系人
     */
    private String contactPeople;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 下单时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date registrationTime;
    /**
     * 支付时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date paymentTime;
    /**
     * 取消时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cancellationTime;
    /**
     * 退款时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date refundTime;
    /**
     * 支付状态
     */
    private String paymentStatus;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 赛事id
     */
    private String competitionId;
    /**
     * 订单类型(1: 参赛门票 / 2: 观看门票)
     */
    private String orderType;
    /**
     * 退款说明
     */
    private String refundInstructions;

    /**
     * 核验时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date verificationTime;
    /**
     * 实付金额
     */
    private Double amountActuallyPaid;


    private String competitionTitle;
    private String competitionExpense;
    private String viewingTicket;
    private String competitionImg;
    private String paymentStatusLabel;

}
